# Michael Kelly
# Article: Gathering Performance Information while Executing Everyday Automated Tests
# www.InformIT.com

# WATIR: http://rubyforge.org/projects/wtr/    
# Source compatible with version: 1.0.1

# BookPool_Search
# Test Search functionality
# Version 1.0 - Initial Test Script
#	This version of the script will simply start the browser at www.BookPool.com, execute a search, and validate 
#	the search results. This script is simple. We have little logic and it's purpose is straightforward.

   #includes
   require '../watir.rb'   # the controller

   #variables
   testSite = 'http://www.BookPool.com'

   puts '## Beginning of test: BookPool_Search'
   puts '  '
  
   #open the IE browser
   $ie = IE.new

   puts 'Step 1: go to the BookPool site: www.BookPool.com'
   $ie.goto(testSite)
   puts '  Action: entered ' + testSite + ' in the address bar.'

   puts 'Step 2: enter "Ruby: in the search text field under Simple Search'
   $ie.textField(:name, "qs").set("Ruby") # qs is the name of the search field
   puts '  Action: entered Ruby in the search field'

   puts 'Step 3: submit the search form.'
   $ie.form(:index, "1").submit  #submitting first form found in the page.
   puts '  Action: submitted search.'
   
   puts 'Expected Result: '
   puts ' - 7 results should be shown.'
  
   #All 7 results for Ruby:
   puts 'Actual Result: Check that the "All 7 results for Ruby:" message actually appears on the page by using an assertion'
   a = $ie.pageContainsText("All 7 results for Ruby:") 
   if !a 
      puts "Test Failed! Could not find test string: All 7 results for Ruby:" 
   else
      puts "Test Passed. Found the test string: All 7 results for Ruby:. Actual Results match Expected Results."
   end
   
   puts 'Close the browser'
   $ie.close()
   puts '  Action: browser closed.'
   
   puts '  '
   puts '## End of test: BookPool_Search'
  
# -end of BookPool_Search test

